mDNS (Template)
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getMdnsGridTemplate | GET | Get mDNS template rule list |
| createMdnsTemplate | POST | Create a new mDNS template rule |
| deleteMdnsTemplate | DELETE | Delete an exist mDNS template rule |
| modifyMdnsTemplate | PATCH | Modify an exist mDNS template rule |
getMdnsGridTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/mdns
Get mDNS template rule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getMdnsGridTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get mDNS template rule list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
createMdnsTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/mdns
Create a new mDNS template rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema CreateMdnsRuleTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | MDNS rule name. Name should contain 1 to 64 characters |
status | boolean | yes | MDNS rule enable status |
profileIds | array<string> | yes | This field represents Bonjour service profile ID. Bonjour Service Profile can be created using 'Create new Bonjour Service' interface, and Bonjour service profile ID can be obtained from 'Get Bonjour Service list' interface |
type | integer | no | MDNS rule band VLAN type. Type should be a value as follows: 0: By VLAN ID, 1: By Network |
ap | ApMdnsRuleOpenApiVO | no | (ApMdnsRuleOpenApiVO not expanded; call omada_get_schema "ApMdnsRuleOpenApiVO") |
osg | OsgMdnsRuleTemplateOpenApiVO | no | (OsgMdnsRuleTemplateOpenApiVO not expanded; call omada_get_schema "OsgMdnsRuleTemplateOpenApiVO") |
// omada_call_operation
{
"operationId": "createMdnsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create a new mDNS template rule with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-34521 - The gateway does not support mDNS.
-34523 - This mDNS rule name already exists.
-34524 - The number of mDNS rules has reached the limit.
-34526 - To prevent network problems, cannot create an mDNS rule of by network type when an mDNS rule of by VLAN ID type already exists.
-34527 - To prevent network problems, cannot create an mDNS rule of by VLAN ID type when an mDNS rule of by network type already exists.
deleteMdnsTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/mdns/{mdnsId}
Delete an exist mDNS template rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
mdnsId | path | string | yes | mDNS rule template ID |
// omada_call_operation
{
"operationId": "deleteMdnsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"mdnsId": "<mdnsId>"
}
}Details, permissions and error codes
Delete an exist mDNS template rule with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
modifyMdnsTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/mdns/{mdnsId}
Modify an exist mDNS template rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
mdnsId | path | string | yes | mDNS rule template ID |
Request body — application/json (required) — schema CreateMdnsRuleTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | MDNS rule name. Name should contain 1 to 64 characters |
status | boolean | yes | MDNS rule enable status |
profileIds | array<string> | yes | This field represents Bonjour service profile ID. Bonjour Service Profile can be created using 'Create new Bonjour Service' interface, and Bonjour service profile ID can be obtained from 'Get Bonjour Service list' interface |
type | integer | no | MDNS rule band VLAN type. Type should be a value as follows: 0: By VLAN ID, 1: By Network |
ap | ApMdnsRuleOpenApiVO | no | (ApMdnsRuleOpenApiVO not expanded; call omada_get_schema "ApMdnsRuleOpenApiVO") |
osg | OsgMdnsRuleTemplateOpenApiVO | no | (OsgMdnsRuleTemplateOpenApiVO not expanded; call omada_get_schema "OsgMdnsRuleTemplateOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyMdnsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"mdnsId": "<mdnsId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an exist mDNS template rule with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-34521 - The gateway does not support mDNS.
-34523 - This mDNS rule name already exists.
-34524 - The number of mDNS rules has reached the limit.
-34525 - This mDNS rule does not exist.